### Type parameters

- #### T

### Hierarchy

- AtomSelectableList

## Index

### Constructors

- constructor

### Properties

- allowMultipleSelection
- items
- labelPath
- selectedItems
- start
- total
- valuePath

### Accessors

- label
- selectAll
- selectedIndex
- selectedItem
- value

### Methods

- append
- clear
- deselect
- find
- replace
- replaceSelected
- select
- toggle

## Constructors

### constructor

- new AtomSelectableList(allowMultipleSelection?: boolean, valuePath?: valuePathOrFunc<T>, labelPath?: valuePathOrFunc<T>): AtomSelectableList

- - Defined in src/core/AtomSelectableList.ts:105

  #### Parameters

  - ##### Default value allowMultipleSelection: boolean = false

  - ##### Optional valuePath: valuePathOrFunc<T>

  - ##### Optional labelPath: valuePathOrFunc<T>

  #### Returns AtomSelectableList

## Properties

### allowMultipleSelection

allowMultipleSelection: boolean

- Defined in src/core/AtomSelectableList.ts:108

### items

items: Array<ISelectableItem<T>>

- Defined in src/core/AtomSelectableList.ts:12

### Optional labelPath

labelPath: valuePathOrFunc<T>

- Defined in src/core/AtomSelectableList.ts:110

### selectedItems

selectedItems: Array<ISelectableItem<T>> = []

- Defined in src/core/AtomSelectableList.ts:14

### start

start: number

- Defined in src/core/AtomSelectableList.ts:19

Reference for Paging

### total

total: number

- Defined in src/core/AtomSelectableList.ts:24

Reference for paging

### Optional valuePath

valuePath: valuePathOrFunc<T>

- Defined in src/core/AtomSelectableList.ts:109

## Accessors

### label

- get label(): any

- - Defined in src/core/AtomSelectableList.ts:60

  #### Returns any

### selectAll

- get selectAll(): boolean
- set selectAll(v: boolean): void

- - Defined in src/core/AtomSelectableList.ts:68

  #### Returns boolean

- - Defined in src/core/AtomSelectableList.ts:75

  #### Parameters

  - ##### v: boolean

  #### Returns void

### selectedIndex

- get selectedIndex(): number
- set selectedIndex(n: number): void

- - Defined in src/core/AtomSelectableList.ts:26

  #### Returns number

- - Defined in src/core/AtomSelectableList.ts:33

  #### Parameters

  - ##### n: number

  #### Returns void

### selectedItem

- get selectedItem(): T
- set selectedItem(item: T): void

- - Defined in src/core/AtomSelectableList.ts:42

  #### Returns T

- - Defined in src/core/AtomSelectableList.ts:50

  #### Parameters

  - ##### item: T

  #### Returns void

### value

- get value(): any
- set value(v: any): void

- - Defined in src/core/AtomSelectableList.ts:88

  #### Returns any

- - Defined in src/core/AtomSelectableList.ts:98

  #### Parameters

  - ##### v: any

  #### Returns void

## Methods

### append

- append(source: T[], total?: number): void

- - Defined in src/core/AtomSelectableList.ts:138

  Append to existing items

  #### Parameters

  - ##### source: T[]

    source items

  - ##### Optional total: number

    total number of items

  #### Returns void

### clear

- clear(clearValue?: boolean): void

- - Defined in src/core/AtomSelectableList.ts:126

  Remove all items

  #### Parameters

  - ##### Default value clearValue: boolean = false

    clear Selection

  #### Returns void

### deselect

- deselect(item: T | ISelectableItem<T>): void

- - Defined in src/core/AtomSelectableList.ts:203

  #### Parameters

  - ##### item: T | ISelectableItem<T>

  #### Returns void

### find

- find(item: T | function): ISelectableItem<T>

- - Defined in src/core/AtomSelectableList.ts:184

  #### Parameters

  - ##### item: T | function

  #### Returns ISelectableItem<T>

### replace

- replace(source: T[], start?: number, size?: number): void

- - Defined in src/core/AtomSelectableList.ts:159

  #### Parameters

  - ##### source: T[]

  - ##### Optional start: number

  - ##### Optional size: number

  #### Returns void

### replaceSelected

- replaceSelected(va: T[]): void

- - Defined in src/core/AtomSelectableList.ts:223

  #### Parameters

  - ##### va: T[]

  #### Returns void

### select

- select(item: T | ISelectableItem<T>): void

- - Defined in src/core/AtomSelectableList.ts:193

  #### Parameters

  - ##### item: T | ISelectableItem<T>

  #### Returns void

### toggle

- toggle(item: T | ISelectableItem<T>): void

- - Defined in src/core/AtomSelectableList.ts:213

  #### Parameters

  - ##### item: T | ISelectableItem<T>

  #### Returns void

Generated using TypeDoc